#include <bits/stdc++.h>
using namespace std;
int tk(int a[],int k,int l, int r)
{
     if(l>r)return -1;
     else
     {
         int mid=(l+r)/2;
         if(k==a[mid])return mid+1;
         if(k>a[mid])return tk(a,k,mid+1,r);
         if(k<a[mid]) return tk(a,k,l,mid-1);
     }
}
int main()
{
	ifstream f1("TKNP.INP");
	ofstream f2("TKNP.OUT");
    int a[1000],f,i,k,m,n;
    f1>>f>>k;
    for(i=0;i<f;i++)
    {
       f1>>a[i];
    }
    m=0;
    n=f-1;
    f2<<tk(a,k,m,n);
    f1.close();
    f2.close();
}

